# OCRmyPDF runner

A very simple tool that listens for files in a directory, and runs OCRmyPDF on them.

This is needed as paperless(-ngx) will always create a copy of the document with its built in clean up and OCR feature.
Even external pre-consumption scripts will be run on all new documents, not just files in from consumption directory.
So the solution is to have this watchdog/runner that only pre-processes scanned documents, and leaves everything else untouched.

The idea is to let it watch a directory any scanner will scan into, and then this runner will write the final pre-processed document into a directory paperless watches.

## Usage

1. Install the project somewhere.
2. Edit [main.go](main.go) to use the correct paths to your scanner and paperless consumption directories.
3. Copy the [ocrmypdf-runner.service](service/linux/systemd/ocrmypdf-runner.service) into your systemd services directory (`etc/systemd/system/ocrmypdf-runner.service`). You may have to change the user in the service file.
4. `systemctl daemon-reload`
5. `systemctl enable ocrmypdf-runner.service`
6. `systemctl start ocrmypdf-runner.service`
